Bug 1670102 - [CinderLib] - openstack-cinder and cinderlib packages are not installed on ovirt-engine machine
Summary: [CinderLib] - openstack-cinder and cinderlib packages are not installed on ov...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: unspecified
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ovirt-4.4.1
: ---
Assignee: Benny Zlotnik
QA Contact: Shir Fishbain
URL:
Whiteboard:
: 1772112 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-28 15:07 UTC by Avihai
Modified: 2021-01-08 18:06 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, to get the Cinder Library (cinderlib), you had to install the OpenStack repository. The current release fixes this issue by providing a separate repository for cinderlib. To enable the repository, enter: ---- $ dnf config-manager --set-enabled rhel-8-openstack-cinderlib-rpms ---- To install cinderlib, enter: ---- $ sudo dnf install python3-cinderlib ----
Clone Of:
Environment:
Last Closed: 2020-08-04 13:16:51 UTC
oVirt Team: Storage
Target Upstream Version:
aefrat: needinfo-
aefrat: needinfo-
bzlotnik: needinfo-
lsvaty: testing_plan_complete-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:17:21 UTC

Description Avihai 2019-01-28 15:07:16 UTC
Description of problem:
openstack-cinder and cinderlib packages are not installed on ovirt-engine machine.

To use cinderLib on ovirt-engine you must first install the following:

Centos:
# yum install -y centos-release-openstack-pike
# yum-config-manager --enable openstack-pike
# yum update -y
# yum install -y openstack-cinder

On RHEL and Fedora:

# yum install -y https://repos.fedorapeople.org/repos/openstack/openstack-pike/rdo-release-pike-1.noarch.rpm
# yum-config-manager --enable openstack-pike
# sudo yum update -y
# yum install -y openstack-cinder

Cinder Library

# yum install -y python-pip
# pip install cinderlib


Version-Release number of selected component (if applicable):
Ovirt engine Software Version:4.3.0-0.8.master.20190122121624.git9a8a519.el7

How reproducible:
100%

Steps to Reproduce:
1.After clean install check for cinderlib via pip and for openstack-cinder via rpm -qa.

Actual results:
Packages do not exist

Expected results:
Packages should exist.


Additional info:

Comment 1 Avihai 2019-03-06 08:00:20 UTC
This bug is a must for GA, I see this is targeted for 4.3.2 but it's still in new -> please give this priority.

Comment 2 Avihai 2019-03-20 13:52:22 UTC
(In reply to Avihai from comment #1)
> This bug is a must for GA, I see this is targeted for 4.3.2 but it's still
> in new -> please give this priority.

Hi Tal, why is this targeted for 4.3.4?
This is a preliminary integration step needed for working with CinderLib.

Comment 5 Tal Nisan 2019-11-18 15:11:34 UTC
*** Bug 1772112 has been marked as a duplicate of this bug. ***

Comment 9 Shir Fishbain 2020-06-17 07:30:52 UTC
Right, The integration of CinderLib completed successfully in 4.3 and 4.4 by verification of the following bugs:
4.3: https://bugzilla.redhat.com/show_bug.cgi?id=1831911
4.4: https://bugzilla.redhat.com/show_bug.cgi?id=1817012

Comment 20 errata-xmlrpc 2020-08-04 13:16:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.